import type { PageServerLoad } from "./$types";

import { redirect } from "@sveltejs/kit";

import { COOKIES } from "$lib/constants";

export const load: PageServerLoad = async ({ locals, cookies }) => {
  if (!locals.user || !locals.user.email.endsWith('@peerat.dev')) redirect(302, '/');

  const session = cookies.get(COOKIES.SESSION);

  return {
    session
  };
};
